Services
All operations require authentication.
List IP servicesBeta
List IP services. Returns the service names of your IP subscriptions, filterable by IAM tags. Each name is the serviceName of the other service calls.
Query parameters
Filter resources on IAM tags
Response
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ ip/ service \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get service informationBeta
Get service information. Returns the status, creation and expiration dates, contacts and renewal settings of the service.
Path parameters
The internal name of your IP services
Response
Indicates that the service can be set up to be deleted at expiration
All the possible renew period of your service in month
Way of handling the renew
Detailed renewal type of a service
automaticForcedProductautomaticV2012automaticV2014automaticV2016automaticV2024manualoneShotoptionautorenewInProgressexpiredinCreationokpendingDebtunPaidExample uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ ip/ service/ {serviceName}/ serviceInfos \
-H "authorization: Bearer $OVH_TOKEN"{ "canDeleteAtExpiration": true, "contactAdmin": "string", "contactBilling": "string", "contactTech": "string", "creation": "2024-01-01", "domain": "string", "engagedUpTo": "2024-01-01", "expiration": "2024-01-01", "possibleRenewPeriod": [ 0 ], "renew": { "automatic": true, "deleteAtExpiration": true, "forced": true, "manualPayment": true, "period": 0 }, "renewalType": "automaticForcedProduct", "serviceId": 0, "status": "autorenewInProgress"}
Get the transfer tokenProduction
Get the transfer token. Returns the pending token to transfer this IP to another OVHcloud account, and that account's ID.
Path parameters
IP (v4 or v6) CIDR notation (e.g., 192.0.2.0/24)
Response
destination customer ID
migration token
Example uses ip = 192.0.2.0/24
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ ip/ {ip}/ migrationToken \
-H "authorization: Bearer $OVH_TOKEN"{ "customerId": "string", "token": "string"}
Change service contactsBeta
Change service contacts. Starts a procedure to change the admin, tech or billing contact of the service.
Path parameters
The internal name of your IP services
Request body (required)
The contact to set as admin contact
The contact to set as billing contact
The contact to set as tech contact
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ ip/ service/ {serviceName}/ changeContact \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Create a transfer tokenProduction
Create a transfer token. Generates the token that the destination OVHcloud account, given by its customer ID, needs to take over this IP.
Path parameters
IP (v4 or v6) CIDR notation (e.g., 192.0.2.0/24)
Request body (required)
destination customer ID
Response
destination customer ID
migration token
Example uses ip = 192.0.2.0/24
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ ip/ {ip}/ migrationToken \
-H "authorization: Bearer $OVH_TOKEN"{ "customerId": "string", "token": "string"}
Request service terminationBeta
Request service termination. Starts the termination of the service. The admin contact receives a token by email, to confirm with the confirmTermination call.
Path parameters
The internal name of your IP services
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ ip/ service/ {serviceName}/ terminate \
-H "authorization: Bearer $OVH_TOKEN""string"
Confirm service terminationBeta
Confirm service termination. Terminates the service with the token sent by email to the admin contact. A reason, a future use and a comment can be given.
Path parameters
The internal name of your IP services
Request body (required)
Commentary about your termination request
What next after your termination request
NOT_REPLACING_SERVICEOTHERSUBSCRIBE_AN_OTHER_SERVICESUBSCRIBE_OTHER_KIND_OF_SERVICE_WITH_COMPETITORSUBSCRIBE_SIMILAR_SERVICE_WITH_COMPETITORReason of your termination request
FEATURES_DONT_SUIT_MELACK_OF_PERFORMANCESMIGRATED_TO_ANOTHER_OVH_PRODUCTMIGRATED_TO_COMPETITORNOT_ENOUGH_RECOGNITIONNOT_NEEDED_ANYMORENOT_RELIABLENO_ANSWEROTHERPRODUCT_DIMENSION_DONT_SUIT_MEPRODUCT_TOOLS_DONT_SUIT_METOO_EXPENSIVETOO_HARD_TO_USEUNSATIFIED_BY_CUSTOMER_SUPPORTThe termination token sent by email to the admin contact
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ ip/ service/ {serviceName}/ confirmTermination \
-H "authorization: Bearer $OVH_TOKEN""string"
Update service informationBeta
Update service information. Updates the renewal settings of the service: automatic renewal, period, or deletion at expiration.
Path parameters
The internal name of your IP services
Request body (required)
Indicates that the service can be set up to be deleted at expiration
All the possible renew period of your service in month
Way of handling the renew
Detailed renewal type of a service
automaticForcedProductautomaticV2012automaticV2014automaticV2016automaticV2024manualoneShotoptionautorenewInProgressexpiredinCreationokpendingDebtunPaidResponse
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ ip/ service/ {serviceName}/ serviceInfos \
-H "authorization: Bearer $OVH_TOKEN"